{
    acco1="{";\
    acco2="}";\
    nocite="\\nocite"
    b = substr($1,1,1);\
	if (b == "@")
      { c = substr($1,2,8);\
        if ((c == "article{") || (c == "ARTICLE{"))
         { d = substr($1,10,length($1)-10);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,14);\
        if ((c == "inproceedings{") || (c == "INPROCEEDINGS{")) 
         { d = substr($1,16,length($1)-16);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,5);\
        if ((c == "book{") || (c == "BOOK{")) 
         { d = substr($1,7,length($1)-7);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,14);\
        if ((c == "mastersthesis{") || (c == "MASTERSTHESIS{")) 
         { d = substr($1,16,length($1)-16);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,10);\
        if ((c == "phdthesis{") || (c == "PHDTHESIS{")) 
         { d = substr($1,12,length($1)-12);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,12);\
        if ((c == "unpublished{") || (c == "UNPUBLISHED{")) 
         { d = substr($1,14,length($1)-14);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,11);\
        if ((c == "conference{") || (c == "CONFERENCE{"))
         { d = substr($1,13,length($1)-13);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,13);\
        if ((c == "incollection{") || (c == "INCOLLECTION{"))
         { d = substr($1,15,length($1)-15);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,11);\
        if ((c == "techreport{") || (c == "TECHREPORT{"))
         { d = substr($1,13,length($1)-13);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,7);\
        if ((c == "manual{") || (c == "MANUAL{"))
         { d = substr($1,9,length($1)-9);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,8);\
        if ((c == "booklet{") || (c == "BOOKLET{"))
         { d = substr($1,10,length($1)-10);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,5);\
        if ((c == "misc{") || (c == "MISC{"))
         { d = substr($1,7,length($1)-7);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
        c = substr($1,2,12);\
        if ((c == "proceedings{") || (c == "PROCEEDINGS{")) 
         { d = substr($1,14,length($1)-14);\
           printf "%s%s%s%s\n",nocite,acco1,d,acco2 };\
      };\
}
